import {
	http
} from '@/config/index.js'
/*
 * params 参数 <object>
 *config 配置项 <object> 可传 {header: {}, custom: {load: false}}
 */
//首页统计
export const getShareBoardApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-community/order/paymentOrder/shareBoard', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 获取首页轮播图 
export const getPropertyAdvApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/wechat/propertyAdv/list', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 登录前获取key
export const getPropertyLoginApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-community/wechat/wxUser/login', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 获取手机号
export const analysisMobileApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-community/wechat/wxUser/phone', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 查询用户
export const queryLoginPhoneApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/sys/user/queryLoginPhone', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 查小区
export const getCompanyListApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-company/community/companyCommunity/partnersCommunityPage', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 查小区详情
export const getCommunityDetail = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-company/community/companyCommunity/queryById', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 查商铺
export const getShopList = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/shop/shopCommunity/list', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

// 查商铺详情
export const getShopDetails = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/shop/shopInfo/queryById', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
// 绑定商铺
export const partnersShopAdd = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.post('/property-central/partners/partnersShop/add', {
				...params
			}, {
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
// 我的商铺
export const getMyShopList = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/partners/partnersShop/list', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
// 查商铺付款二维码
export const getShopQrCode = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/shop/shopInfo/getQrCode', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}

//对账单
export const shareBenefitListApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/partners/shareBenefit/list', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
//对账单详情
export const shareBenefitDetailApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/partners/shareBenefit/queryById', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
//申请对账
export const reconciliationApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.post('/property-central/partners/shareBenefit/reconciliation', {
				...params
			}, {
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
//结算列表
export const shareBalanceListApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/partners/shareBalance/list', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
//结算详情
export const shareBalanceDetailApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/partners/shareBalance/queryById', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
//结算选择对账单
export const getShareBalanceListApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/partners/shareBenefit/listBalance', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
//根据ida查询结算对账单
export const getIdsStatementsApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.get('/property-central/partners/shareBenefit/queryBatch', {
				data: {
					...params
				},
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}
//申请结算
export const shareBalanceAddApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.post('/property-central/partners/shareBalance/add', {
				...params
			}, {
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}


// 修改个人信息
export const userEditApi = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.put('/sys/user/edit', {
				...params
			}, {
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}


// 上传
export const uploadFile = (params = {}, config = {}) => {
	return new Promise((resolve, reject) => {
		http.upload('/wechat/common/upload', {
				...params
			}, {
				...config
			})
			.then(res => {
				resolve(res)
			})
			.catch(err => {
				reject(err)
			})
	})
}